## net.sf.saxon.trace
Class ContextStackFrame.ApplyTemplates

    java.lang.Object
      net.sf.saxon.trace.ContextStackFrame
          net.sf.saxon.trace.ContextStackFrame.ApplyTemplates

Enclosing class:
  ContextStackFrame

    public static class ContextStackFrame.ApplyTemplates

extends ContextStackFrame

Subclass of ContextStackFrame representing an xsl:apply-templates call in XSLT

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.trace.ContextStackFrame
`ContextStackFrame.ApplyTemplates, ContextStackFrame.BuiltInTemplateRule, ContextStackFrame.CallingApplication, ContextStackFrame.CallTemplate, ContextStackFrame.ForEach, ContextStackFrame.FunctionCall, ContextStackFrame.VariableEvaluation`

Constructor Summary
`ContextStackFrame.ApplyTemplates()`

Method Summary
`void` `print(PrintStream out)` Display a representation of the stack frame on the specified output stream

Methods inherited from class net.sf.saxon.trace.ContextStackFrame
`getContainer, getContextItem, getLineNumber, getSystemId, setContainer, setContextItem, setLineNumber, setSystemId, showLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextStackFrame.ApplyTemplates

    public ContextStackFrame.ApplyTemplates()

Method Detail

### print

    public void print(PrintStream out)

  Display a representation of the stack frame on the specified output stream

  Specified by:
    `print` in class `ContextStackFrame`
  Parameters:
    `out` - the output stream

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.